Archivo make de Linux para verificar la versión mínima requerida del kernel de Linux

Tengo un archivo make de Linux que necesita compilar en 2 versiones diferentes del kernel. El archivo MAKE no se genera desde automake/autoconf.

El código C ya está acondicionado usando macros para generar código diferente para la versión de núcleo diferente, pero ciertas características en el archivo MAKE también deben estar condicionadas.

¿Hay alguna manera de hacer un archivo MAKE?

if (kernel_version > 2.6.30)
    newer_kernel = 1
else
    newer_kernel = 0
endif
0

No hay respuestas

0